Index: .gitignore
===================================================================
--- .gitignore	(revision 7f8256870ced9cf926ebd1bd920b0440f2fb97e1)
+++ .gitignore	(revision a8c08e1370b214a8e3247f6ffe12b1d9b6bcb750)
@@ -2,2 +2,4 @@
 .git
 .firebase
+*.~undo-tree~
+*~
Index: content/about.org
===================================================================
--- content/about.org	(revision 7f8256870ced9cf926ebd1bd920b0440f2fb97e1)
+++ content/about.org	(revision a8c08e1370b214a8e3247f6ffe12b1d9b6bcb750)
@@ -27,4 +27,7 @@
 experience using PHP + Symfony and Javascript.
 
+** Free software
+I host Trac for my free software projects: https://wkz-devel.org
+
 ** Contact
 - Email: [[mailto:w96k@runbox.com][w96k@runbox.com]]
Index: content/en/posts/immigration-2022.org
===================================================================
--- content/en/posts/immigration-2022.org	(revision a8c08e1370b214a8e3247f6ffe12b1d9b6bcb750)
+++ content/en/posts/immigration-2022.org	(revision a8c08e1370b214a8e3247f6ffe12b1d9b6bcb750)
@@ -0,0 +1,234 @@
+#+TITLE: Immigration experience after events of 2022
+#+DATE: <2024-10-30 Wed>
+#+LANGUAGE: en
+
+* Immigration experience after events of 2022
+
+[[../../public/images/wkz-immigration.gif]]
+
+I had left Russia in September of 2022 as many other Russian
+developers. Not sure if I did it permanently or temporary. I've moved
+to [[https://en.wikipedia.org/wiki/Georgia_(country)][Georgia (country)]] (also named Sakartvelo) with the help of [[https://trop.in/][Andrew
+Tropin]] (big kudos to him) as a temporary solution after [[https://en.wikipedia.org/wiki/2022_Russian_mobilization][partial
+mobilization]] was announced in Russia. That temporary solution did last
+2 years already and third year is to come.
+
+[[https://edition.cnn.com/travel/article/flights-out-of-moscow-russia-putin-intl/index.html][The aircraft tickets price went high]] immediately after partial
+mobilization, so the only choice left was to move by land. The only
+Russia-Georgia border was [[https://www.themoscowtimes.com/2022/10/03/in-photos-russians-fleeing-putins-draft-queue-at-georgian-border-a78957][stuck in a huge traffic jam]] before even we
+started to drive. It took us ~3-4 days to manage to drive there facing
+corruption, closed oblasts (Russian administration borders) and buses
+on roads with ongoing mobilization. My mental state was bad, because
+it felt like the country can be closed at any moment (government can
+accept new laws extremely quickly, like for 1-2 hours). I don't want
+to concentrate my story on that part much, because there are already
+many evidence published.
+
+So we passed the border after all the struggle and stayed at the
+longest traffic jam of my life. Both borders were quite easy to pass
+thankfully. I had a two hour long small-talk with FSB guys at spring
+before when I first tried to leave Russia, so I was nervous.
+
+I decided to migrate extremely low on cash: I had about $600-800. So I
+needed to find a job to grind my way for a living in a new
+place. Luckily the tax-rate is extremely low here: only 1% for small
+business and 0% for micro-business. I wanted to stay outside of Russia
+as long as I could, so I found a job in a two-three weeks as Symfony
+Developer (php) and made some money to stay here for some time.
+
+** Why I have left Russia in a first place
+- Men can be mobilized. Mobilization thing is still going.
+- USD and EUR were prohibited or limited at banks atm and
+  VISA/Mastercard stopped working + sanctions (mostly minor)
+- [[https://www.investing.com/currencies/usd-rub-advanced-chart][Ruble became weak]]. There is less and less reason to work with it,
+  because it drops all the time and salaries usually don't get
+  re-indexed.
+- Many random censorship blockages of Internet resources (and other
+  media for example books). For example GNU Mailing lists were
+  banned. Also [[https://lists.gnu.org/archive/html/help-guix/2022-03/msg00004.html][Guix servers were banning ru IPs]], so you can't use
+  substitutes there, which is critical for such system as GNU Guix.
+
+  - Censorship is strong enough to get you into jail just for [[https://roskomsvoboda.org/en/post/gigest-apr-2022-kritika-derzhavy/][posting
+    online that war is a war]]. ([[https://roskomsvoboda.org/en/cards/card/safe-posting-rules/][Instruction on how to not get arrested
+    for posting]]).
+
+  - Censorship is strong enough to get you into jail just for LIKES
+    and REPOSTS of some materials. For example there is ongoing thing
+    of [[https://en.wikipedia.org/wiki/Russian_foreign_agent_law][FOREIGN AGENTS]], if you repost them without marking YOU will be
+    fined.
+
+  - Censorship is strong enough to get you into jail for [[https://meduza.io/en/feature/2018/05/23/russia-finds-a-new-tor-criminal][hosting TOR
+    exit node]]. In general in Russia you have a feeling that everything
+    is prohibited if otherwise is not stated, not the other way
+    around. The state has a centralized control over society.
+
+- Political propaganda became [[https://en.wikipedia.org/wiki/Disinformation_in_the_Russian_invasion_of_Ukraine][too wild to handle]]. Schools started to
+  have propaganda too ([[https://www.themoscowtimes.com/2023/02/17/russian-tv-airs-wartime-patriotism-lessons-for-schoolchildren-a80253][Уроки о важном]]).
+- I was arrested once at the protest (and after that police might be
+  interested in you)
+  
+Those reasons you might find a bit silly, but I believe if you are
+involved into IT it would be a shame to be not connected to the rest
+of community especially if you are into free software. Internal market
+might be ok, but I think it would suck like it sucked in USSR.
+
+Majority of my Russian friends stayed in Russia. Immigration is costly,
+standard of living will be lower and there is no guarantee that
+immigration is even the answer. I find myself that I might return
+any-day if something critical happens to my friends, family or
+something else. At the same time would be nice to distance from Russia
+even further.
+
+** Tbilisi
+
+[[../../public/images/tbilisi.gif]]
+
+[[https://en.wikipedia.org/wiki/Tbilisi][Tbilisi]] is a capital of Georgia. It is very nice city and I like being
+here. At the time of arriving it had lots of support of Ukrainian
+people and lots of hate to Russia expressed in wall graffities and
+demonstrating Ukrainian flags. It was a bit of a shock for me, because
+in Moscow if you do something like this you just get arrested, you
+literally can't even write something on a wall without being punished
+hard. Tbilisi also has lots of EU flags, because the state and people
+want (or wanted) to be in EU hard enough.
+
+The currency is [[https://en.wikipedia.org/wiki/Georgian_lari][Georgian Lari]] (GEL). And when I've arrived it was
+something like 20 rubles per lari, now it is 35 rubles per lari. Ruble
+has dropped for at least 33% if you ask me and lari became much
+stronger currency compared to it. It was easy to buy crypto here, it
+became a bit harder after the regulations, but it is still
+possible. Yet I don't use this, just noting that you can see some
+Bitcoin shops in the city, which was a surprise for me because there
+is literally none in Moscow.
+
+*** Arrival
+
+[[../../public/images/tbilisi2.gif]]
+
+I've arrived with no plan at all. I was randomly luring the city with
+a backpack full of my clothes + my Thinkpad. My phone was low on
+charge, so I've stopped a random taxi driver and asked for direction
+to hotels. Because [[https://www.bbc.com/news/world-europe-65790759][~100-200k Russian migrated at the same time]] (not
+exactly to Tbilisi) all hotels were full. Gladly that driver invited
+me to his house, I've recharged my phone there and ate. After he
+proposed me a deal to rent his country-side place. Knowing that
+everything has high prices right now I've agreed.
+
+It was 40-60 minutes away from Tbilisi which felt actually far away
+and it was on a mountain, so it was colder. Tbilisi itself is very
+warm city, when I've arrived in the end of September it was +33
+Celsius. I was using my winter clothes because the border was located
+in mountains, so it was cold there.
+
+[[../../public/images/tbilisi3.gif]]
+
+After settled down in a country side, I've came back to Tbilisi
+city. I've bought a local sim-card, Georgia doesn't has stupid
+limitations for tourists, so I've bought same sim-card as locals. Went
+to the bank and opened VISA card with no problem. Other Russian
+fellows had problems with that, so the process is a bit random, but I
+particularly had no issue. After that I went and registered a small
+business. It took me 1-3 days to do everything, which is extremely
+quick and it was easy in general. After all of that done I was ready
+for legally earning the money.
+
+After that I found a job and after several months moved to the city to
+better neighborhood.
+
+** Why Georgia is nice
+
+[[../../public/images/tbilisi4.gif]]
+
+- No VISA required :: Russians can stay here for 1 year without a visa
+  as a tourist and than do the visa run and stay another
+  year. Ukrainians can stay for 2 years straight.
+- 0-1% business tax :: probably the lowest in the world
+- Rent is cheaper :: I think the minimal is $300-350 per month
+  here. It was even cheaper before big migration wave.
+- Products :: Products are generally cheaper than in EU (I hope)
+- Community :: Many Russian-speaking people are here. It means that
+  Georgia is a good place for meetups, conferences and other
+  activities. For example there is a hackerspace F0rthsp4ce. @akater
+  organized [[https://gitlab.com/akater/emacs-tbilisi-meetup-page/-/blob/main/public/index.org][Emacs meetup]] and @tropin did [[https://fosstodon.org/@w96k/112483547960128437][guix meetup]].
+- Russia :: Georgia is close to Russia, so friends, family and other
+  can come here more easily compared to other countries.
+- Climate :: Georgia has a warm climate. There is almost no snow at
+  winter and generally very warm.
+- Nature :: Georgia has a lot of mountains and caves and it is great
+  for hiking.
+- Georgian are friendly :: hospitality is their feature
+- Free (Libre) Internet :: Mostly not blocked at all.
+- No bureaucracy :: It was extremely easy to open a business and bank
+  card. In general country feels much less trouble than others, I'm
+  sure that EU has much harder procedures for everything.
+- Minimum regulation :: Georgia feels like it has low government
+  regulations in general, but it might be only a feeling. Russia and
+  Moscow felt much more over-regulated, you can be arrested if you
+  cross the road in non appropriate place for example.
+
+** Why Georgia is not so nice
+
+[[../../public/images/tbilisi5.gif]]
+
+- Russia :: Russia is too close and has influence in Georgian
+  politics. Also it might be dangerous for activists.
+- Citizenship :: It is mostly impossible to get a citizenship. You
+  need to stay here for 10 years with a permit for a living and
+  government often declines providing those.
+- Less jobs :: If you work outside of IT it is much harder to get a
+  job compared to Moscow.
+- Less salary :: If you handle to get a job it will be less
+  profitable. My brother works here and get 50% less. I might guess
+  that IT jobs has the same downside here, but not sure.
+- High import fees :: You need to pay 20% fee if you order stuff from
+  Internet markets above $100.
+- Hard language :: Georgian language is very hard to learn compared to
+  others. It is old and niche language.
+- Visa problem :: Many embassies requires a permit for a living in a
+  country before your visa request, so I can't for example do a visa
+  in Georgia. I need to go either to Russia or seek other countries to
+  get a permit. The only exception is Spain Embassy in Armenia which
+  works as a proxy for Embassy in Russia, so you can get a visa
+  without a permit.
+- Internet is expensive and slow :: In Moscow I've paid $3 per month
+  to get 40MBit. Here 45MBit costs $12.5. It is actually not so
+  critical as packet losses and overall quality.
+- Electricity shutdowns :: Compared to Moscow it happens a bit too
+  often and it depends on your neighborhood.
+  
+** Other options
+Of course Georgia is not the only option for migration. It was for a
+moment because of mass emigration and prices, but in general there is
+a choice. EU and other countries closed its borders for Russians or
+made it harder to get a VISA.
+
+If something happens to Georgia, most likely I would move to one of
+these countries:
+
+- Serbia ::
+- Montenegro ::
+- Spain ::
+- Portugal ::
+- Argentina ::
+- Urugway ::
+
+Most options has a common problem - *T* *A* *X* *E* *S*. They are extremely
+high. In Russia the tax for individual business is 6-12%. I'm not
+saying that this is a bad thing in general, but it is a bad thing for
+the guy, who wants to start living in a country without having
+billions beforehand. 15-22% is kinda nice, but still quite high
+compared to Georgian 0-1%.
+
+** Conclusion
+
+[[../../public/images/georgia_mountains.gif]]
+
+Overall I'm glad that I've left Russia. Even if I would return it is
+nice to have an experience living abroad. I never been abroad before
+and generally I'm more "sitting at one place all my life" type of
+person. I've found new connections here and not feeling alone, maybe I
+even became more social here. I hope other Russian fellows who decided
+to not participate in government actions are doing well.
+
+
+/Peace./
Index: content/index.org
===================================================================
--- content/index.org	(revision 7f8256870ced9cf926ebd1bd920b0440f2fb97e1)
+++ content/index.org	(revision a8c08e1370b214a8e3247f6ffe12b1d9b6bcb750)
@@ -5,14 +5,12 @@
 #+BEGIN_EXPORT html
 <article>
-  <img loading="lazy" src="/public/images/w96k.ico" align="left" style="margin-right: 1em; width: 95px;">
-  I'm developer. Profesionally I do mostly web backends.  I like
-  functional programming, LISP and free software movement. I use
-  mostly libre software on my
-  librebooted <a href="/posts/libreboot-x200t.html">Thinkpad
-    X200T</a>.  I'm a long-time user of
+  <img loading="lazy" src="/public/images/w96k.ico" align="left" style="margin-right: 1em; height: 4.5em;">
+  I'm a developer. Profesionally I do web backends.
+  I like LISP, free software movement and computing in general.
+  I use mostly libre software.  I'm a long-time user of
   <a href="http://guix.gnu.org">GNU Guix</a> OS, text editor
   <a href="https://www.gnu.org/software/emacs/">GNU Emacs</a>
   and <a href="https://www.gnu.org/gnu/linux-and-gnu.html">GNU/Linux
-    systems</a> in general. More on <a href="/about.html">about page</a>.
+    systems</a> in general. More at <a href="/about.html">about</a>.
 </article>
 #+END_EXPORT
Index: content/sitemap.org
===================================================================
--- content/sitemap.org	(revision 7f8256870ced9cf926ebd1bd920b0440f2fb97e1)
+++ content/sitemap.org	(revision a8c08e1370b214a8e3247f6ffe12b1d9b6bcb750)
@@ -1,15 +1,15 @@
 #+TITLE: @w96k
 
+- [[file:music.org][@w96k: Music]]
+- [[file:legal.org][@w96k: Legal Information]]
+- [[file:guix.org][@w96k: GNU Guix]]
+- [[file:emacs.org][Конфигурация GNU Emacs]]
+- [[file:donate.org][@w96k: Donations]]
+- [[file:cv.org][CV]]
+- [[file:articles.org][@w96k: Articles]]
 - [[file:404.org][404: Page not found]]
+- [[file:projects.org][@w96k: Projects]]
 - [[file:about.org][About website]]
-- [[file:articles.org][@w96k: Articles]]
-- [[file:cv.org][CV]]
-- [[file:emacs.org][Конфигурация GNU Emacs]]
 - [[file:index.org][@w96k]]
-- [[file:guix.org][@w96k: GNU Guix]]
-- [[file:donate.org][@w96k: Donations]]
-- [[file:legal.org][@w96k: Legal Information]]
-- [[file:music.org][@w96k: Music]]
-- [[file:projects.org][@w96k: Projects]]
 - posts
   - [[file:posts/libreboot-x200t.org][Обзор Lenovo Thinkpad X200T с Libreboot]]
Index: public/css/custom.css
===================================================================
--- public/css/custom.css	(revision 7f8256870ced9cf926ebd1bd920b0440f2fb97e1)
+++ public/css/custom.css	(revision a8c08e1370b214a8e3247f6ffe12b1d9b6bcb750)
@@ -7,7 +7,7 @@
 }
 
-:link { color: #0000EE; }
-:visited { color: #551A8B; }
-:visited:hover { color: blue; }
+a:link { color: #0000EE; }
+a:visited { color: #551A8B; }
+a:visited:hover { color: blue; }
 
 html {
@@ -49,5 +49,5 @@
     font-weight: 300;
     border-radius: var(--universal-border-radius);
-    padding: 4px 2.5em;
+    padding: 4px;
     box-shadow: 0px 2px 0 rgba(0,0,255,.2);
     background: rgba(0,0,255,0.05);
